| Home | Libraries | People | FAQ | More

## Struct template reference

boost::cnv::reference

## Synopsis

    // In header: <boost/convert.hpp>

    template<typename Converter, typename TypeOut, typename TypeIn>
    struct reference {
      // types
      typedef reference this_type;

      // construct/copy/destruct
      reference(Converter const &);

      // public member functions
      this_type & value_or(TypeOut const &);
      TypeOut operator()(TypeIn const &);
    };

## Description

### `reference` public construct/copy/destruct

1.     reference(Converter const & cnv);

### `reference` public member functions

1.     this_type & value_or(TypeOut const & fallback);

2.     TypeOut operator()(TypeIn const & value_in);